| Kea 3.0.2-git

isc::db::DB_LOG_WARN Struct Reference

`#include <db_log.h>`

Inheritance diagram for isc::db::DB_LOG_WARN:
[legend]

## Public Member Functions
| DB_LOG_WARN (DbMessageID const message_id)
Public Member Functions inherited from isc::db::DB_LOG< warn >
| DB_LOG (DbMessageID const message_id, int const debug_level=0)
| To preserve the old way of logging, this constructor facilitates initiating the DB_LOG_* chain call.
DB_LOG & | arg (T first, Args... args)
| Pass parameters to replace logger placeholders.

## Detailed Description

Definition at line 191 of file db_log.h.

## Constructor & Destructor Documentation

## ◆ DB_LOG_WARN()

isc::db::DB_LOG_WARN::DB_LOG_WARN | ( | DbMessageID const | message_id | ) |
| inline

Definition at line 192 of file db_log.h.

References isc::db::DB_LOG< warn >::DB_LOG().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- db_log.h